package jp.agentec.abook.abv.bl.data.tables;

import java.util.ArrayList;
import java.util.List;

import jp.agentec.abook.abv.bl.common.db.SQLiteDatabase;
import jp.agentec.abook.abv.bl.data.DatabaseVersions;

public class TContentOldPdf extends SQLiteTableScript {

	public TContentOldPdf() {
	}
	
	@Override
	public List<String> getCreateScript(int arg0) {
		List<String> ddl = new ArrayList<String>();
		StringBuffer sql = new StringBuffer();
		
		sql.append(" CREATE TABLE t_content_old_pdf ( ");
		sql.append("        content_id INTEGER NOT NULL PRIMARY KEY ");
		sql.append("      , orientation INTEGER NOT NULL ");
		sql.append("      , all_page_num INTEGER NOT NULL ");
		sql.append("      , FOREIGN KEY (content_id) REFERENCES t_content (content_id) ");
		sql.append(" ) ");
		
		ddl.add(sql.toString());
		
		return ddl;
	}

	@Override
	public List<String> getMigrationScript(SQLiteDatabase databaseConnection, int oldVersion, int newVersion, Object... params) {
		return null;
	}

	@Override
	public List<String> getUpgradeScript(int oldVersion, int newVersion) {
		return null;
	}

}
